/*
* demo.css
* File include item demo only specific css only
******************************************************************************/


.menu .app-brand.demo, nav.layout-navbar .app-brand.demo {
  height: 64px;
}

@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

body {
  font-family: "Inter", sans-serif;
}

label {
    color: #1E293B;
    margin-bottom: 10px;
}

.textfield-style,
input.form-control,
select.form-control,
select.form-select {
    padding: 10px;
    border-radius: 8px;
    height: 58px;
    width: 100%;
    font-size: 16px;
    border: 1px solid #DCE2EB;
}

.custom-scrollbar::-webkit-scrollbar {
  width: 8px;
}
.custom-scrollbar::-webkit-scrollbar-track {
  background: red;
}
.custom-scrollbar::-webkit-scrollbar-thumb {
  background-color: #888;
  border-radius: 6px;
}
.custom-scrollbar::-webkit-scrollbar-thumb:hover {
  background-color: #555;
}


select.form-control:focus {
  outline: none;
}

input.form-control:focus {
  border: 1px solid #DCE2EB;
  outline: none;
}

textarea, textarea.form-control {
  font-size: 16px;
  border: 1px solid #DCE2EB;
  border-radius: 8px;
}

textarea:focus {
  outline:none;
}

.textfield-btn {
    height: 58px;
    background: #64748B;
    display: inline-flex;
    color: #CBD5E1;
    border-radius: 0 8px 8px 0;
    align-items: center;
    padding: 0 10px;
}

.green-rounded-btn {
    background: #14B8A6;
    font-size: 16px;
    color: #fff;
    padding: 10px 10px;
    border-radius: 50px;
    font-weight: 700;
}

.clr-light {
    color: #CBD5E1;
}

.mt-0 {
  margin-top:0 !important;
}

input#company_domain {
  border-radius: 8px 0 0 8px;
}

.user-pages-block .textfield-style {
    background: #334155;
    color: #CBD5E1;
    border: 1px solid #64748B;
}

.user-pages-block input::placeholder {
  color: #CBD5E1;
}

input.form-control::placeholder,
textarea.form-control::placeholder {
  color: #64748B;
}

textarea::-webkit-input-placeholder {
color: #64748B;
}

textarea:-moz-placeholder { /* Firefox 18- */
color: #64748B;  
}

textarea::-moz-placeholder {  /* Firefox 19+ */
color: #64748B;  
}

textarea:-ms-input-placeholder {
color: #64748B;  
}

select.form-control {
  color: #64748B;
}

.clr-green {
  color: #14B8A6;
}

input:focus {
  outline: none;
}

.dark-style .menu .app-brand.demo, .dark-style nav.layout-navbar .app-brand.demo {
  height: 64px;
}

.app-brand-logo.demo svg {
  width: 30px;
  height: 24px;
}

.app-brand-text.demo {
  font-size: 1.25rem;
}

.authentication-wrapper .app-brand-text.demo {
  font-size: 1.5rem;
  text-transform: capitalize;
}
/* ! For .layout-navbar-fixed added fix padding top tpo .layout-page */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 64px !important;
}

/* Navbar page z-index issue solution */
.content-wrapper .navbar {
  z-index: auto;
}

/*
* Content
******************************************************************************/

.demo-blocks > * {
  display: block !important;
}

.demo-inline-spacing > * {
  margin: 1rem 0.375rem 0 0 !important;
}

/* ? .demo-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .demo-only-element class with .demo-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */
.demo-vertical-spacing > * {
  margin-top: 1.25rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-lg > * {
  margin-top: 1.875rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-lg.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-xl > * {
  margin-top: 5rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-xl.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.rtl-only {
  display: none !important;
  text-align: left !important;
  direction: ltr !important;
}

[dir='rtl'] .rtl-only {
  display: block !important;
}

/* Dropdown buttons going out of small screens */
@media (max-width: 576px) {
  #dropdown-variation-demo .btn-group .text-truncate {
    width: 300px;
    position: relative;
  }
  #dropdown-variation-demo .btn-group .text-truncate::after {
    position: absolute;
    top: 45%;
    right: 0.65rem;
  }
}
/*
* Layout demo
******************************************************************************/

.layout-demo-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  margin-top: 1.25rem;
}
.layout-demo-placeholder img {
  width: 900px;
}
.layout-demo-info {
  text-align: center;
  margin-top: 1.25rem;
}


.frontend_grid {
  display: flex;
  gap: 1rem;
  padding: 20px;
  width: 100%;
  max-width: 1200px;
  flex-wrap: wrap;
}

.frontend_card {
  position: relative;
  background: #fff;
  border-radius: 12px;
  box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.04);
  transition: box-shadow 0.15s ease;
  user-select: none;
  width: max-content;
}

/* Box-shadow when card is selected */
.frontend_card.selected {
  border: 2px solid rgba(140, 87, 255, 0.85);
}

.card__input {
  position: absolute;
  top: 10px;
  left: 10px;
  z-index: -1;  /* Hide checkbox visually */
  opacity: 0;
}

.card__body {
  padding: 10px;
  height: 100%;
}

.card__body-cover {
  position: relative;
}

.card__body-cover-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 12px;
  filter: grayscale(1);
  transition: filter 0.3s ease;
}

.card__body-cover-checkbox {
  position: absolute;
  top: -20px;
  right: -18px;
  background: rgba(140, 87, 255, 0.85);
  border: 0px solid white;
  width: 25px;
  height: 25px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  transition: opacity 0.3s ease, transform 0.3s ease;
}

.card__body-header {
  margin-top: 0;
}

.card__body-header-title {
  font-size: 16px;
  color: #333;
}

.grid_heading {
    font-size: 19px;
    margin: 0;
    line-height: 1.5rem;
    border-bottom: 2px solid #999;
    padding-bottom: 20px;
}

.grid_heading_2 {
  font-size: 19px;
  margin: 0;
  line-height: 1.5rem;
  border-bottom: 2px solid #999;
  padding-bottom: 12px;
  margin-top: 1rem;
}

.card__body-header-subtitle {
  color: #666;
  font-size: 14px;
}

.card__input:checked ~ .card__body .card__body-cover-image {
  filter: grayscale(0);
}

.card__input:checked ~ .card__body .card__body-cover-checkbox {
  opacity: 1;
  transform: scale(1);
}

/* Check mark inside the circle */
.card__body-cover-checkbox svg {
  width: 15px;
  height: 15px;
  stroke: white;
  stroke-width: 2;
  stroke-linecap: round;
  stroke-linejoin: round;
  fill: none;
}

.card__input:checked ~ .card__body .card__body-cover-checkbox svg {
  stroke-dasharray: 13px;
  stroke-dashoffset: 0;
}

.card__input:disabled ~ .card__body {
  opacity: 0.5;
  cursor: not-allowed;
}

.card__input:disabled ~ .card__body .card__body-cover-image {
  filter: grayscale(1);
}

.card__input:checked ~ .card__body {
  /* This applies the "selected" class styling */
  --card-box-shadow: 0 0 8px rgba(0, 130, 255, 0.6);
}

.date-range-selector {
  font-family: Arial, sans-serif;
  max-width: 400px;
  width: 170px;
}

.react-daterange-picker__wrapper {
  border: 0 !important;
}

.dynamic-inputs {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.choice-card {
  border: 1px solid #ffffff;
  border-radius: 8px;
  padding: 30px;
  text-align: center;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
  background-color: white;
  box-shadow: 0px 4px 6px -2px #1A1A1A33;
}

.fields_list {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
    padding: 20px;
    gap: 10px;
}

.chart-options-header {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.chart-options {
  border: 1px solid lightgray;
  border-radius: 20px;
  padding: 10px 20px;
  flex-grow: 1;
  cursor: pointer; /* Make it clickable */
  text-align: center;
  transition: all 0.3s ease;
}

.chart-options:hover {
  border-color: black;
  color: black;
}
@media (max-width: 768px) {
  .saved-records table {
      font-size: 12px;
  }
  .saved-records th, .saved-records td {
      padding: 8px;
      word-wrap: break-word;
      white-space: normal;
  }
}

.modal-dialog {
  width: 100%;
  max-width: 720px;
}

.chart-options.selected {
  border-color: black;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.field_label {
  background: black;
  color: white;
  padding: 10px 30px;
  border-radius: 4px;
}

.choice-card a{
  color: inherit;
}

.choice-card a:hover{
  text-decoration: none;
}
.choice-card:hover {
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  transform: scale(1.01);
}
.choice-card img {
  max-width: 100%;
  margin: auto;
  height: 100%;
  object-fit: cover;
}

.choice-card h5{
  font-weight: 700;
  margin-bottom: 16px;
}
.choice-card p{
  margin: 0;
}

.choice-card.left-img-content,
.choice-card.left-img-content a{
  display: flex;
  align-items: center;
  justify-content: left;
  gap: 20px;
  width: 100%;
}
.choice-card.left-img-content .icon-wrap{
 margin: 0;
}
.choice-card.left-img-content .card-content{
 text-align: left;
}
.choice-card .card-content{
  display: flex;
  flex-direction: column;
  gap: 4px;
  justify-content: center;
}
.choice-card .card-content h5{
  margin: 0;
}

.col-wrap{
  display: grid;
 grid-template-columns: 1fr;
 gap: 12px;
}
.two-col-wrap{
  grid-template-columns: 1fr 1fr;
 }
.col-wrap .choice-card{
  padding: 16px;
}

.two-col-wrap.col-wrap {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.react-daterange-picker.react-daterange-picker--closed.react-daterange-picker--enabled {
  background: white;
  border: 0.5px solid lightgray;
  padding: 4px;
  border-radius: 4px;
}

.date-range-selector select,
.date-range-selector .custom-date-range {
  margin-top: 10px;
}

.custom-date-range .react-datepicker__input-container {
  margin-bottom: 10px;
}

.custom-date-range .react-datepicker {
  margin-top: 10px;
  border-radius: 8px;
  border: 1px solid #ddd;
  padding: 10px;
}

.custom-date-range .react-datepicker__day--selected {
  background-color: #0082ff;
  color: white;
}

.select-container {
  margin-bottom: 20px;
}

.select-container select {
  width: 100%;
  padding: 10px;
  font-size: 16px;
  margin-top: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

h2 {
  margin-top: 20px;
}

.highcharts-credits {
  display: none;
}


/* 15-04-2025 */
aside#layout-menu{
  z-index: 9;
  background: #fff !important;
}
nav#layout-navbar {
  width: 100% !important;
  background: #fff;
  padding-right: 16px;
  padding-left: 16px;
  border-radius: 0;
  position: sticky;
  margin-bottom: 30px;
  top: 0;
  z-index: 1;
  /* box-shadow: 2px 2px 8px 0px #00000026; */

}
nav#layout-navbar .layout-menu-toggle {
  order: 3;
  margin-right: 0 !important;
  margin-left: 14px !important;
}
.input-group-sm span.input-group-text {
  background: #fff;
  border-color: #6b7280;
}
input[placeholder="Search"] {
  border-left: 0;
  padding-left: 0 !important;
}
.modal:after {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
}
.modal-dialog {  
  z-index: 9;
  margin: auto;
  height: 100%;
  display: flex;
  align-items: center;
}
.layout-content-navbar .layout-page {
  padding-left: 0 !important;
}

.content-wrapper {
    padding-top: 0;
}

.outline-btn {
    border: 1px solid #DCE2EB;
    padding: 10px 17px;
    border-radius: 8px;
    color: #1E293B;
    font-size: 14px;
    font-weight: 500;
    background: #fff;
    display: inline-flex;
    gap: 9px;
    align-items: center;
    min-height: 43px;
}

table thead,
table thead tr th,
.table:not(.table-dark):not(.table-light) thead:not(.table-dark):not(.table-light) tr th {
    background-color: #F1F5F9;
}

.light-style .menu-vertical .menu-item.one-active > .menu-toggle, 
.light-style .menu-vertical .menu-item.open > .menu-toggle,
.light-style .menu-vertical .menu-item.active > .menu-toggle, 
.light-style .menu-vertical .menu-item.open > .menu-toggle {
  background: #334155;
}

.menu-vertical .menu-inner .menu-item.one-active > .menu-link:not(.menu-toggle) {
    background-color: rgba(46, 38, 61, 0.06);
    color: #1E293B;
}

.btn-style.rounded-full {
    min-width: 120px;
}

.action-btn-style.rounded-full {
  min-width: 0px;
}

table tbody tr td {
    color: #0F172A !important;
}

.btn-style.rounded-full:hover {
    opacity: 0.75;
}

.action-btn-style.rounded-full:hover {
  opacity: 0.75;
}
.table-striped > tbody > tr:nth-of-type(even) > * {
  --bs-table-bg-type: #fff;
}

.table th {
    text-transform: capitalize;
    font-size: 14px;
    color: #1E293B;
    font-weight: 500;
}

.setting-section.active {
    padding: 15px 10px;
    margin-top: 15px;
}


.outline-btn:hover {
    background: #14B8A6;
    color: #fff;
}

.outline-btn:hover img {
  filter: brightness(0) saturate(100%) invert(100%) sepia(92%) saturate(30%) hue-rotate(61deg) brightness(106%) contrast(100%);
}

.menu-header .menu-header-text {
    color: #64748B;
    font-size: 14px;
    font-weight: 700;
}

.btn-style {
  display: inline-flex;
  gap: 3px;
  align-items: center;
  min-height: 43px;
  font-size: 14px;
  font-weight: 700;
  padding: 10px 17px;
  justify-content: center;
}

.action-btn-style {
  display: inline-flex;
  gap: 3px;
  align-items: center;
  min-height: 23px;
  font-size: 14px;
  font-weight: 700;
  padding: 4px 4px;
  justify-content: center;
}

input.outline-btn {
    border-left: none !important;
}

.menu-vertical .menu-item .menu-link {
    font-size: 14px;
    font-weight: 500;
    color: #1E293B;
}

.rounded-full {
    border-radius: 50px;
}

.text-primary {
  color: #1E293B !important;
}

a.clr-green:hover {
  color: #14B8A6;
}

.text-secondary {
  color: #64748B !important;
}

.menu-vertical .menu-item .menu-link i {
    min-width: 23px;
}

.blue-grd {
    background: rgba(15, 23, 42, 8);
}

.bg-green {
    background: #14B8A6;
}
/* .parent_custom_highlight_charts {
  gap: 0 15px;
} */
.custom_highlight_charts{
  box-shadow: none;
  /* padding: 0;
  width: calc(33.3% - 15px); */
}
.layout-content-navbar .layout-page .content-wrapper {
  padding-left: 17.15rem;
}
.layout-content-navbar .layout-page:not(:has(nav)) .content-wrapper {
  padding-left: 22px;
}
@media(max-width: 1199px){
  .layout-content-navbar .layout-page .content-wrapper{
    padding-left: 30px;
  }
  .layout-menu-expanded aside#layout-menu {
    z-index: 9999;
  }
  .layout-menu-expanded nav#layout-navbar {
    z-index: 9999;
}
}
@media(min-width: 768px){
  .manage-dashboard-frontend {
      padding: 50px;
  }  
}
@media(max-width: 767px){
  .manage-dashboard-frontend {
      padding: 25px;
  }
  nav#layout-navbar{
    padding-right: 16px;
  }
  .col-md-12.text-end {
    text-align: left !important;
  }
  .fields_list{
    justify-content: start;
  }    
}
@media(max-width: 575px){
  .modal-dialog{
    margin-left: auto;
    margin-right: auto;
  }
  .custom_highlight_charts{
    width: 100%;
  }
  .parent_custom_highlight_charts{
    width: 100%;
    margin: auto;
  }
  .layout-content-navbar .layout-page .content-wrapper{
    padding-left: 15px;
  }
}

td p img {
  width: 100px;
}

span p img {
  width: 100px;
}

.collapse.show {
  visibility: visible !important;
}

.ql-editor {
  height: 150px !important;
}

[aria-expanded="true"] .dropdown-arrow {
  transform: rotate(180deg);
  transition: transform 0.3s ease;
}

.dropdown-arrow {
  transition: transform 0.3s ease;
}
.nav-link.dropdown-toggle::after {
  display: none;
}
.nav-link .fa-bell {
  transition: transform 0.2s ease, color 0.2s ease;
}

.nav-link:hover .fa-bell {
  transform: scale(1.2);
  color: green; /* Bootstrap primary or your preferred highlight */
}